curl --request GET \
--url https://sandbox-api.polygon.technology/v0.11/customers/{id}/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.polygon.technology/v0.11/customers/{id}/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.polygon.technology/v0.11/customers/{id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"walletAddresses": [
{
"id": "<string>",
"customerId": "<string>",
"walletAddress": "<string>",
"currencySymbol": "<string>",
"currencyName": "<string>",
"assetId": "<string>",
"chain": "<string>",
"blockchainAsset": {
"chainId": "<string>",
"tokenId": "<string>"
},
"balance": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}List customer wallets
Lists the crypto wallets provisioned for a customer (one per asset/chain), with cursor-based pagination. Returns an empty list if none have been provisioned yet.
Authorizations
Token from POST /auth/token
Path Parameters
Customer ID (cst_ prefix).
Query Parameters
Maximum number of results per page.
Return results after this ID (cursor pagination).
Free-text search. Matches wallet id or on-chain address.
Alias for search.
Response
The request has succeeded.
A list of a customer's wallets.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Unique identifier.
^[a-z]+_([0-9a-hjkmnp-tv-z]{26}|[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})$The customer that owns the wallet. cst_ prefix. Always present in
project-wide GET /wallets responses so each row is attributable.
^[a-z]+_([0-9a-hjkmnp-tv-z]{26}|[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})$On-chain wallet address.
Display symbol of the currency.
Display name of the currency.
Asset identifier.
Chain the wallet lives on.
Current balance.
When the resource was created.
Was this page helpful?